import './head.css'
import Dropdown from '../../components/dropdown/Dropdown.tsx';
import BalanceHead from '../../components/balance/BalanceHead.tsx';
import RechargeHead from '../../components/recharge/RechargeHead.tsx';
import MessageHead from '../../components/message/MessageHead.tsx';
import headRightBg from '../../assets/head-right-bg.png'
import {Divider} from "antd";

export default function Head() {
    return (
        <div className="head">
            <div className="center">
                <div className="left">
                    <span className="sys-title">AI引擎软著</span>
                    <Divider type="vertical" />
                    <span className="sys-title-sub">软件著作权一站式服务平台</span>
                </div>
                <div className="right" style={{backgroundImage: `url(${headRightBg})`}}>
                    <BalanceHead/>
                    <RechargeHead/>
                    <MessageHead/>
                    <Dropdown
                        title={'您好：18000000000'}
                        list={[
                            {
                                id: 'userinfo',
                                name: '个人信息',
                            },
                            {
                                id: 'changePass',
                                name: '修改密码'
                            },
                            {
                                id: 'logout',
                                name: '退出系统'
                            }
                        ]}
                        handle={
                            (_e, _index, item) => {

                                console.log(item.name)
                            }
                        }
                    />
                </div>
            </div>
        </div>
    )
}
